<?php
/**
 * @version		$Id: mod_ps_video_slider.php 2012-03-15 PS $
 * @package		PS VIDEO SLIDER
 * @subpackage	mod_ps_video_slider
 * @copyright	Copyright (C) 2012 PANCHSOFT. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @website		http://panchsoft.com
 * @twitter		http://twitter.com/panchsoft
 * @facebook	http://facebook.com/panchsoft
 */

// no direct access
defined('_JEXEC') or die;

// Require the base helper class only once
require_once __DIR__.'/helper.php';

$document = JFactory::getDocument();

$params = modPS_VIDEO_SliderHelper::validParams($params);

// Get basic parameters
$slide_video = $params->get('slide_video');
$slide_image = $params->get('slide_image');
$slide_news = $params->get('slide_news');

$slides = array();
$slides['images'] = $slide_image;
$slides['videos'] = $slide_video;
$slides['news'] = $slide_news;

$slide_newssize = $params->get('slide_newssize');
$slide_newscolor = $params->get('slide_newscolor');

$slide_fx = $params->get('slide_fx');
$slide_easing = $params->get('slide_easing');
$slide_loader = $params->get('slide_loader');
$slide_loaderOpacity = $params->get('slide_loaderOpacity');
$slide_loaderColor = $params->get('slide_loaderColor');
$slide_loaderBgColor = $params->get('slide_loaderBgColor');
$slide_navigation = $params->get('slide_navigation');
$slide_navigationHover = $params->get('slide_navigationHover');
$slide_commands = $params->get('slide_commands');
$slide_pagination = $params->get('slide_pagination');
$slide_thumbs = $params->get('slide_thumbs');
$slide_hover = $params->get('slide_hover');
$slide_pauseOnClick = $params->get('slide_pauseOnClick');
$slide_time = $params->get('slide_time');
$slide_transPeriod = $params->get('slide_transPeriod');

$slide_add_jquery = $params->get('slide_add_jquery');
$slide_width = $params->get('slide_width');
$slide_height = $params->get('slide_height');

$slide_thumb_width = $params->get('slide_thumb_width');
$slide_thumb_height = $params->get('slide_thumb_height');
$slide_thumb_ratio = $params->get('slide_thumb_ratio');

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

$document->addStyleSheet(JURI::base().'modules/mod_ps_video_slider/css/diapo.css');

$style = ".pix_diapo {width: ".$slide_width."px;height: ".$slide_height."px;}
		  #pix_pag {width: ".$slide_width."px;}
		  .pix_relativize {height: ".$slide_height."px!important;}
		  #pix_pag_ul > li > .pix_thumb { width: ".$slide_thumb_width."px; height: ".$slide_thumb_height."px;}
		 ";

$document->addStyleDeclaration($style);

if($slide_add_jquery == '1') {
	$document->addScript(JURI::base().'modules/mod_ps_video_slider/scripts/jquery.min.js');
}

$document->addScript(JURI::base().'modules/mod_ps_video_slider/scripts/jquery.easing.1.3.js');
$document->addScript(JURI::base().'modules/mod_ps_video_slider/scripts/jquery.hoverIntent.minified.js');
$document->addScript(JURI::base().'modules/mod_ps_video_slider/scripts/diapo.js');

$jsVars = "jQuery(window).load(function() {
				jQuery('.pix_diapo').diapo({
					fx					: '".$slide_fx."',
					easing				: '".$slide_easing."',
					loader				: '".$slide_loader."',
					loaderOpacity		: ".$slide_loaderOpacity.",
					loaderColor			: '".$slide_loaderColor."',
					loaderBgColor		: '".$slide_loaderBgColor."', 
					navigation			: ".$slide_navigation.",
					navigationHover		: ".$slide_navigationHover.",
					commands			: ".$slide_commands.",	
					pagination			: ".$slide_pagination.",
					thumbs				: ".$slide_thumbs.",
					hover				: ".$slide_hover.",
					pauseOnClick		: ".$slide_pauseOnClick.",
					time				: ".$slide_time.",
					transPeriod			: ".$slide_transPeriod."
				});
			});";

$document->addScriptDeclaration($jsVars);

require JModuleHelper::getLayoutPath('mod_ps_video_slider', 'default');
